> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pingintel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Bulk Enhance Job Result Data

> Download outputs of a bulk enhance request. For documentation of the contents of the file, see the reponse
to the [enhance location](#tag/api/operation/api_v1_enhance_location) endpoint.



## OpenAPI

````yaml https://data-api-staging.sovfixer.com/api/schema/?format=json get /api/v1/bulk_enhance/{id}/output/{filename}
openapi: 3.0.3
info:
  title: Ping.Data API
  version: v1.0
  description: >
    ### Ping.Data API


    This API provides convenient, efficient access to bulk location data from
    many sources.


    The typical usage flow is:


    * POST to `/api/v1/bulk_enhance`.  The POST body should look like this:

    ``` {
        "locations": [
            {
                "id": "user-id1",
                "address": "1212 Ping Data Lane, Pingville, FL",
                "sources": ["PG", "PH"],
                ...
            },
            ...
        ],
        "timeout": 60.0,
    }

    ```


    * Poll GET `/api/v1/bulk_enhance/{id}`, passing the `id` given by the
    previous response until `response.request.status` is `COMPLETE` or `FAILED`.

    * Download the  data as JSON from `/api/v1/sov/{id}/output/{filename}`. The
    exact url comes from the response to the above query, in
    `response.result.outputs[].url`.


    Output JSON Example:

    ```

    {
      "user-id1": {
        "GG": {
          "is_success": true,
          "error_message": null,
          "confidence": 80,
          "status_code": 200,
          "fetch_time": 4.754,
          "street_number": "1212",
          "route": "Ping Data Ln",
          "location_type": "ROOFTOP",
          "latitude": 28.xxx,
          "longitude": -81.xxx,
          "formatted_address": "1212 Ping Data Lane, Pingville, FL, USA",
          "place_id": "xxx-yyy",
          "address_line_1": "1212 Ping Data Lane",
          "address_line_2": "",
          "city": "Pingville",
          "postal_code": "00010",
          "county": "Pingville",
          "state": "FL",
          "country": "US"
        },
        "HH": {
          "is_success": true,
          "error_message": null,
          "confidence": null,
          "status_code": null,
          "latitude": 28.xxx,
          "longitude": -81.xxx,
          "geocode_type": "ADDRESS",
          "google_maps_link": "https://www.google.com/maps/search/?api=1&query=28.xxx,-81.xxx",
          "fema_flood_zone": "X",
          "elevation": null,
          "bldg_year_built": 2009,
          ... more attributes ...

        }
      },
      ... more buildings ...
    }

    ```
  contact:
    email: support@pingintel.com
    name: Ping Intel
    url: https://www.pingintel.com
servers:
  - url: https://data-api.sovfixer.com
    description: Ping.Data API
  - url: https://data-api-staging.sovfixer.com
    description: Ping.Data API (staging)
security: []
paths:
  /api/v1/bulk_enhance/{id}/output/{filename}:
    get:
      tags:
        - Bulk Enhance
      summary: Fetch Bulk Enhance Job Result Data
      description: >-
        Download outputs of a bulk enhance request. For documentation of the
        contents of the file, see the reponse

        to the [enhance location](#tag/api/operation/api_v1_enhance_location)
        endpoint.
      operationId: api_v1_fetch_bulk_enhance_job_result_data
      parameters:
        - in: path
          name: filename
          schema:
            type: string
          required: true
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: string
                format: binary
          description: ''
        '404':
          description: No response body

````